Skip to main content
POST
/
crm
/
lists
/
2026-03
cURL
curl --request POST \
  --url https://api.hubapi.com/crm/lists/2026-03 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "objectTypeId": "<string>",
  "processingType": "<string>",
  "customProperties": {},
  "filterBranch": {
    "filterBranchOperator": "<string>",
    "filterBranchType": "OR",
    "filterBranches": [
      {
        "filterBranchOperator": "<string>",
        "filterBranchType": "AND",
        "filterBranches": "<array>",
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": "<unknown>",
            "property": "<string>"
          }
        ]
      }
    ],
    "filters": [
      {
        "filterType": "PROPERTY",
        "operation": {
          "includeObjectsWithNoValueSet": true,
          "operationType": "BOOL",
          "operator": "<string>",
          "value": true
        },
        "property": "<string>"
      }
    ]
  },
  "listFolderId": 123,
  "membershipSettings": {
    "includeUnassigned": true,
    "membershipTeamId": 123
  }
}
'
{
  "list": {
    "listId": "<string>",
    "listVersion": 123,
    "name": "<string>",
    "objectTypeId": "<string>",
    "processingStatus": "<string>",
    "processingType": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "createdById": "<string>",
    "deletedAt": "2023-11-07T05:31:56Z",
    "filterBranch": {
      "filterBranchOperator": "<string>",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": "<unknown>",
              "property": "<string>"
            }
          ]
        }
      ],
      "filters": [
        {
          "filterType": "PROPERTY",
          "operation": {
            "includeObjectsWithNoValueSet": true,
            "operationType": "BOOL",
            "operator": "<string>",
            "value": true
          },
          "property": "<string>"
        }
      ]
    },
    "filtersUpdatedAt": "2023-11-07T05:31:56Z",
    "membershipSettings": {
      "includeUnassigned": true,
      "membershipTeamId": 123
    },
    "size": 123,
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedById": "<string>"
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
name
string
required

The name of the list, which must be globally unique across all public lists in the portal.

objectTypeId
string
required

The object type ID of the type of objects that the list will store.

processingType
string
required

The processing type of the list. One of: SNAPSHOT, MANUAL, or DYNAMIC.

customProperties
object

The list of custom properties to tie to the list. Custom property name is the key, the value is the value.

filterBranch
OR · object

Filter branch object containing filtering criteria for the list

listFolderId
integer<int32>

The ID of the folder that the list should be created in. If left blank, then the list will be created in the root of the list folder structure.

listPermissions
object
membershipSettings
object

Response

successful operation

list
object
required
Last modified on April 1, 2026